gr::dab::magnitude_equalizer_vcc Class Reference

<+description of block+> More...

`#include <magnitude_equalizer_vcc.h>`

Inheritance diagram for gr::dab::magnitude_equalizer_vcc:
[legend]

## Public Types

typedef std::shared_ptr< magnitude_equalizer_vcc > | sptr

## Static Public Member Functions

static sptr | make (unsigned int vlen, unsigned int num_symbols)
| Return a shared_ptr to a new instance of dab::magnitude_equalizer_vcc.

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<magnitude_equalizer_vcc> gr::dab::magnitude_equalizer_vcc::sptr

## Member Function Documentation

## make()

sptr gr::dab::magnitude_equalizer_vcc::make | ( | unsigned int | vlen,
|  | unsigned int | num_symbols )

static

Return a shared_ptr to a new instance of dab::magnitude_equalizer_vcc.

To avoid accidental use of raw pointers, dab::magnitude_equalizer_vcc's constructor is in a private implementation class. dab::magnitude_equalizer_vcc::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- magnitude_equalizer_vcc.h